MAXScript Tools and Interaction with 3ds Max > Interacting with the 3ds Max User Interface > Render Scene Dialog >

# ScanlineRender Struct

| Lighting And Rendering - Quick Navigation

The following 3ds Max system global variables are specific to 3ds Max’s default scanline A-Buffer renderer. These variables return undefined if the current renderer is not 3ds Max’s default scanline renderer.

| Topic Navigation Links:
Options
Antialiasing
Global Supersampling
Object Motion Blur
Image Motion Blur
Color Range Limiting
Memory Management

## Render Scene Dialog > Default Scanline Renderer > Options

| Back To Topic Navigation |  | Lighting And Rendering - Quick Navigation

    scanlineRender.mapping

Get/set the state of the Mapping checkbox. When set to false, no mapping will be calculated by the Default Scanline Renderer. Default is true.

    scanlineRender.shadows

Get/set the state of the Shadows checkbox. When set to false, no shadows will be calculated by the Default Scanline Renderer. Default is true.

    scanlineRender.enableSSE

Get/set the state of the Enable SSE checkbox. When set to true, SIMD Streaming Extensions technology (SSE) will be used by the Default Scanline Renderer. Default is false.

    scanlineRender.autoReflect

Get/set the state of the Auto-Reflect/Refract and Mirrors checkbox. When set to false, no reflections and refractions will be calculated by the Default Scanline Renderer for Reflect, Refract and Flat Mirror maps. Default is true.

    scanlineRender.forceWireframe

Get/set the state of the Force Wireframe checkbox. When set to true, all face edges will be rendered as wireframes by the Default Scanline Renderer. Default is false.

    scanlineRender.wireThickness

Get/set the value of the Wire Thickness spinner in pixels.

## Render Scene Dialog > Default Scanline Renderer > Antialiasing

| Back To Topic Navigation |  | Lighting And Rendering - Quick Navigation

    scanlineRender.antiAliasing

Get/set the state of the Antialiasing checkbox. When set to false, no antialiasing will be performed. Default is true.

    scanlineRender.filterMaps

Get/set the state of the Filter Map checkbox. When set to false, texture maps will not be filtered. Default is true.

    scanlineRender.antiAliasFilter

Lets you get and set the anti-aliasing filter.

For a list of all of the anti-aliasing filters you can say:

    showClass"*:filter*"

EXAMPLE
    scanlineRender.antiAliasFilter = quadratic()

The anti-aliasing filters and their parameters are described in 3ds MaxDefault Scanline Renderer Anti-Aliasing Filters.

    scanlineRender.antiAliasFilterSize

Get/set the antialiasing filter size as a floating point value.

    scanlineRender.antiAliasFilterSizeautoReflectLevels

## Render Scene Dialog > Default Scanline Renderer > Global SuperSampling

| Back To Topic Navigation |  | Lighting And Rendering - Quick Navigation

    scanlineRender.enablePixelSampler

Get/set the state of the Enable Global Sampler checkbox.

## Render Scene Dialog > Default Scanline Renderer > Object Motion Blur

| Back To Topic Navigation |  | Lighting And Rendering - Quick Navigation

    scanlineRender.objectMotionBlur

Get/set the state of the Apply checkbox.

    scanlineRender.objectBlurSamples

Get/set the value of the Samples spinner.

    scanlineRender.objectBlurDuration

Get/set the value of the Duration (frames) spinner.

    scanlineRender.objectBlurSubdivisions

Get/set the value of the Duration Subdivisions spinner.

## Render Scene Dialog > Default Scanline Renderer > Image Motion Blur

| Back To Topic Navigation |  | Lighting And Rendering - Quick Navigation

    scanlineRender.imageMotionBlur

Get/set the state of the Apply checkbox.

    scanlineRender.imageBlurTrans

Get/set the state of the Transparency checkbox.

    scanlineRender.imageBlurDuration

Get/set the value of the Duration (frames) spinner.

    scanlineRender.imageBlurEnv

Get/set the state of the Apply to Environment Map checkbox.

## Render Scene Dialog > Default Scanline Renderer > Color Range Limiting

| Back To Topic Navigation |  | Lighting And Rendering - Quick Navigation

    scanlineRender.colorClampType

Get/set the Color Range Limiting radio buttons.

Possible values are:

0 - Clamp

1 - Scale

## Render Scene Dialog > Default Scanline Renderer > Memory Management

| Back To Topic Navigation |  | Lighting And Rendering - Quick Navigation

    scanlineRender.conserveMemory

Get/set the state of the Conserve Memory checkbox. When checked, the Scanline Renderer will use a memory conserving mode which slightly increases render time.

#### See Also

- renderSceneDialog

- Default_Scanline_Renderer : RendererClass

- 3ds Max Default Scanline Renderer Anti-Aliasing Filters

- mental_ray_renderer : RendererClass

- Controlling the Renderer